Subject: Re: I love Supra! (NOT!)
From: [email-masked] (John Townsend)
Date: Wed, 30 Sep 1992 14:52:31 GMT
Newsgroups: comp.dcom.modems,comp.sys.apple2

In article <bazyar.717812220@teal>, [email-masked] (Jawaid Bazyar) writes:
|> [email-masked] (Bernard Johnson) writes:
|> >You're getting all the freebies and I can't even get a voice call back!  I
|> >think their customer support stinks.  You must be doing something that promotes
|> >their product to be getting treatment like that.
|> 
|>   Supra's customer support, to put it bluntly, sucks.  I demon-dialed
|> their tech support number for a WEEK straight, and was unable to get
|> through.  Anyway, he just said he's on the sysop deal. They probably
|> gave him a special number.

Voice communication by telephone?!  How quaint!  No, I don't have any special
numbers; I've always just used fax and email with no hassles at all.  But
then, I've never had a problem with the modem either.  Here are the numbers,
as best I know them:

    503-967-2400  (main 8-5pst)
    503-967-2401  (Fax)
    503-967-2410  (Sales 7-5pst)
    800-727-8772  (Sales 7-5pst)
    503-967-2440  (Tech Support 9-4pst)
    503-967-2444  (BBS, 2 line v32bis)
    CompuServe       76004,565 or Go Supra
    GEnie            SupraTech
    Bix              SupraCorp
    America Online   SupraCorp2
    AppleLink        D2456

Oh, and neither I nor MDC have absolutely any connection to Supra except that
I am a very satisfied customer.

-- 
// John Townsend             "I thought I was      Legal Conversion Engineering
// Mead Data Central          wrong once, but         [email-masked]
// 8891 Gander Creek Dr.      I was mistaken."         ...!uunet!meaddata!johnt
// Miamisburg, OH  45342            8-}                          (513) 865-7250